Bug 834419 - [abrt] rss-glx-0.9.1.p-11.fc17: ___printf_fp: Process /usr/bin/rss-glx-solarwinds was killed by signal 11 (SIGSEGV)
[abrt] rss-glx-0.9.1.p-11.fc17: ___printf_fp: Process /usr/bin/rss-glx-solarw...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: rss-glx (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
abrt_hash:5cd8196218773def98f9ac20363...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-21 16:12 EDT by imneo
Modified: 2012-06-25 08:52 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-25 08:52:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (138.86 KB, text/plain)
2012-06-21 16:12 EDT, imneo
no flags Details
File: maps (18.01 KB, text/plain)
2012-06-21 16:12 EDT, imneo
no flags Details

  None (edit)
Description imneo 2012-06-21 16:12:17 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 3
cmdline:        rss-glx-solarwinds -r -window-id 0x3800237
crash_function: ___printf_fp
executable:     /usr/bin/rss-glx-solarwinds
kernel:         3.4.2-4.fc17.x86_64
pid:            3501
pwd:            /home/haim
time:           Thu 21 Jun 2012 11:00:34 PM IDT
uid:            1000
username:       haim
var_log_messages: Jun 21 23:00:34 Fedora abrt[3514]: Saved core dump of pid 3501 (/usr/bin/rss-glx-solarwinds) to /var/spool/abrt/ccpp-2012-06-21-23:00:34-3501 (91951104 bytes)
xsession_errors: 

backtrace:      Text file, 142188 bytes
maps:           Text file, 18438 bytes

build_ids:
:fc13956ed359736e6a145d384f112723fd62f20d
:72c9d0e973ad7f3b20f3883a199878da7f52c39f
:51d06992e253701f74114977ee983ae3cd479f0e
:5b4f3d35b4612be98f2bbb635b3eabf0ee7e437d
:15098ef9d5a3dfa168b66298c4eda767610a57ec
:b34676a7754197b3aa0ab7fba51844207d644e8d
:6416c64fde1d567429c32475ee874558589d305a
:f64b7319b84d426ed547084bdb2577f4f596c18f
:b73022218b05300ed210872dfb3fce9c65d70760
:e91010b497ec024178c36f4365b21f668bada0ca
:1b7abd5c8129b91c0ca4f0f0812e61660236fd38
:0aba7ec92cfe9227831c913e3ea7ccdc85c701e1
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65
:127f8958b602715234a02b88adb08afd9e34c203
:67792c148d2b8f13f6732c9367e926c26d7376c5
:516204cfc31148538d56b21e2f1b945ed50127d4
:c4ec0971b2dcee71aaf8374975474054245fea00
:915e1b6a9e9b38aaf13a1d647d11751c3de5301b
:73777e822e00ca152ffca281ab0ace0cb498ec48
:404cbecd24d186758ed474b345313da28b2990fa
:8139bf56878106b2e87b44b235b5813a0894898a
:ce246b3297de0d233ac2c5f9e50061e2b13a330c
:4d09d82785dab5f95c01b69bc0785145a5954d30
:7c35310fc506498c612d5d982ab03becc4b4817c
:877685c5afa0faf0e43ad65f21587f699edcc04d
:d32cbeacfd9f41e3cd29b697dd111f44a2d9c127
:54a5cc118d928470da13565de8592b664a9868e0
:5dd234206476b0387cd251598aa72a2c95c763c5
:271a2d91cc3308783ff4a7ab45049f31aa42d8b7
:1d4df97fa6024b097b634a272447243c95c26d85
:130699b76d99d57ef46beeed9d693005f3c8917f
:247132297f287226a24c12e683292f5c94013066

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/haim/2

comment:
:installed rss-glx-xscreensaver.x86_64
:Launched "Screen Saver"

core_backtrace:
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x4d6b8 __printf_fp libc.so.6 -
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x4ab9a vfprintf libc.so.6 -
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x6e944 vsprintf libc.so.6 -
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x50b67 sprintf libc.so.6 -
: 0x14373 - VBoxOGLpackspu.so -
:51d06992e253701f74114977ee983ae3cd479f0e 0x4d7c8 glewInit libGLEW.so.1.6 -
:15098ef9d5a3dfa168b66298c4eda767610a57ec 0x225c - [exe] -

dso_list:
:/usr/lib64/libGLEW.so.1.6.0 libGLEW-1.6.0-2.fc17.x86_64 (Fedora Project) 1337719389
:/usr/lib64/libxcb.so.1.1.0 libxcb-1.8.1-1.fc17.x86_64 (Fedora Project) 1338584824
:/usr/lib64/libdrm.so.2.4.0 libdrm-2.4.33-3.fc17.x86_64 (Fedora Project) 1338584814
:/usr/bin/rss-glx-solarwinds rss-glx-0.9.1.p-11.fc17.x86_64 (Fedora Project) 1340308780
:/usr/lib64/libffi.so.5.0.10 libffi-3.0.10-2.fc17.x86_64 (Fedora Project) 1337719198
:/usr/lib64/libGL.so.1.2 mesa-libGL-8.0.3-1.fc17.x86_64 (Fedora Project) 1338584824
:/usr/lib64/dri/swrast_dri.so mesa-dri-drivers-8.0.3-1.fc17.x86_64 (Fedora Project) 1338584845
:/usr/lib64/libglapi.so.0.0.0 mesa-libglapi-8.0.3-1.fc17.x86_64 (Fedora Project) 1338584823
:/usr/lib64/libXfixes.so.3.1.0 libXfixes-5.0-2.fc17.x86_64 (Fedora Project) 1337719248
:/usr/lib64/libm-2.15.so glibc-2.15-37.fc17.x86_64 (Fedora Project) 1337719195
:/usr/lib64/gconv/gconv-modules.cache glibc-2.15-37.fc17.x86_64 (Fedora Project) 1337719195
:/usr/lib64/libX11.so.6.3.0 libX11-1.4.99.901-2.fc17.x86_64 (Fedora Project) 1337719247
:/usr/lib64/libXdamage.so.1.1.0 libXdamage-1.1.3-3.fc17.x86_64 (Fedora Project) 1337719248
:/usr/lib64/libGLU.so.1.3.08003 mesa-libGLU-8.0.3-1.fc17.x86_64 (Fedora Project) 1338584844
:/usr/lib64/libuuid.so.1.3.0 libuuid-2.21.2-1.fc17.x86_64 (Fedora Project) 1338584792
:/usr/lib64/libdl-2.15.so glibc-2.15-37.fc17.x86_64 (Fedora Project) 1337719195
:/usr/lib64/libSM.so.6.0.1 libSM-1.2.1-1.fc17.x86_64 (Fedora Project) 1337719198
:/usr/lib64/libpthread-2.15.so glibc-2.15-37.fc17.x86_64 (Fedora Project) 1337719195
:/usr/lib64/libxcb-glx.so.0.0.0 libxcb-1.8.1-1.fc17.x86_64 (Fedora Project) 1338584824
:/usr/lib64/libc-2.15.so glibc-2.15-37.fc17.x86_64 (Fedora Project) 1337719195
:/usr/lib64/llvm/libLLVM-3.0.so llvm-libs-3.0-13.fc17.x86_64 (Fedora Project) 1338584813
:/usr/lib64/libICE.so.6.3.0 libICE-1.0.8-1.fc17.x86_64 (Fedora Project) 1337719198
:/usr/lib64/libXxf86vm.so.1.0.0 libXxf86vm-1.1.2-1.fc17.x86_64 (Fedora Project) 1337719248
:/usr/lib64/libselinux.so.1 libselinux-2.1.10-3.fc17.x86_64 (Fedora Project) 1337719197
:/usr/lib64/libXau.so.6.0.0 libXau-1.0.6-3.fc17.x86_64 (Fedora Project) 1337719199
:/usr/lib64/libXext.so.6.4.0 libXext-1.3.1-1.fc17.x86_64 (Fedora Project) 1337719248
:/usr/lib64/libX11-xcb.so.1.0.0 libX11-1.4.99.901-2.fc17.x86_64 (Fedora Project) 1337719247
:/usr/lib64/libstdc++.so.6.0.17 libstdc++-4.7.0-5.fc17.x86_64 (Fedora Project) 1337719197
:/usr/lib/locale/locale-archive glibc-common-2.15-37.fc17.x86_64 (Fedora Project) 1337719194
:/usr/lib64/libXcomposite.so.1.0.0 libXcomposite-0.4.3-3.fc17.x86_64 (Fedora Project) 1337719248
:/usr/lib64/libgcc_s-4.7.0-20120507.so.1 libgcc-4.7.0-5.fc17.x86_64 (Fedora Project) 1337719189
:/usr/lib64/librt-2.15.so glibc-2.15-37.fc17.x86_64 (Fedora Project) 1337719195
:/usr/lib64/ld-2.15.so glibc-2.15-37.fc17.x86_64 (Fedora Project) 1337719195
:/usr/lib64/libexpat.so.1.6.0 expat-2.1.0-1.fc17.x86_64 (Fedora Project) 1337719198

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=Fedora
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:QTDIR=/usr/lib64/qt-3.3
:GNOME_KEYRING_CONTROL=/run/user/haim/keyring-jHI01j
:QTINC=/usr/lib64/qt-3.3/include
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=haim
:USERNAME=haim
:MAIL=/var/spool/mail/haim
:PATH=/usr/libexec/xscreensaver:/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/haim/.local/bin:/home/haim/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/haim
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=996
:LANG=en_US.UTF-8
:KDEDIRS=/usr
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/haim
:SHLVL=1
:LOGNAME=haim
:QTLIB=/usr/lib64/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-RdvkEWYbaC,guid=0c354ae61f8662bfe242a94100000016
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/haim
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-haim-jJzZRx/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1000,unix/unix:/tmp/.ICE-unix/1000
:SSH_AUTH_SOCK=/run/user/haim/keyring-jHI01j/ssh
:GPG_AGENT_INFO=/run/user/haim/keyring-jHI01j/gpg:0:1
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/xscreensaver-properties.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=3439
:XSCREENSAVER_WINDOW=0x3800237

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 47594                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       47594                47594                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/haim/.xsession-errors
:pos:	3603
:flags:	0102002
:2:/home/haim/.xsession-errors
:pos:	3603
:flags:	0102002
:3:socket:[24584]
:pos:	0
:flags:	02004002
:4:/dev/vboxuser
:pos:	0
:flags:	0100002
:5:/dev/dri/card0
:pos:	0
:flags:	0100002

smolt_data:
:
:
:General
:=================================
:UUID: 05a1f566-9276-4701-9ff2-7ada4826b951
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 7340.67
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i7-3820 CPU @ 3.60GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 45
:Number of CPUs: 8
:CPU Speed: 3669
:System Memory: 5970
:System Swap: 0
:Vendor: innotek GmbH
:System: VirtualBox 1.2
:Form factor: Unknown
:Kernel: 3.4.2-4.fc17.x86_64
:SELinux Enabled: 0
:SELinux Policy: targeted
:SELinux Enforce: Unknown
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4203:63:0:0) pci, ohci_hcd, USB, KeyLargo/Intrepid USB
:(32902:10281:0:0) pci, ahci, STORAGE, 82801HBM/HEM (ICH8M/ICH8M-E) SATA AHCI Controller
:(33006:48879:0:0) pci, None, VIDEO, VirtualBox Graphics Adapter
:(32902:28947:0:0) pci, None, BRIDGE, 82371AB/EB/MB PIIX4 ACPI
:(32902:4110:32902:30) pci, e1000, ETHERNET, PRO/1000 MT Desktop Adapter
:(33006:51966:0:0) pci, None, BASE, VirtualBox Guest Service
:(32902:4663:0:0) pci, None, HOST/PCI, 440FX - 82441FX PMC [Natoma]
:(32902:9237:32902:0) pci, snd_intel8x0, MULTIMEDIA_AUDIO, 82801AA AC'97 Audio Controller
:(32902:28945:0:0) pci, ata_piix, STORAGE, 82371AB/EB/MB PIIX4 IDE
:(32902:28672:0:0) pci, None, PCI/ISA, 82371SB PIIX3 ISA [Natoma/Triton II]
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_fedora-lv00 / ext4 4096 4096 3074928 1689178 1658382 770048 590204 590204
:/dev/sda1 /boot ext4 1024 1024 508745 399605 374005 128016 127655 127655
:/dev/sr0 WITHHELD iso9660 2048 2048 25471 0 0 0 0 0
:
Comment 1 imneo 2012-06-21 16:12:23 EDT
Created attachment 593575 [details]
File: backtrace
Comment 2 imneo 2012-06-21 16:12:25 EDT
Created attachment 593576 [details]
File: maps
Comment 3 Nils Philippsen 2012-06-25 05:31:09 EDT
This crash happens in a virtualbox-specific library. Can you reproduce this crash on bare metal?
Comment 4 imneo 2012-06-25 05:36:54 EDT
Sorry but no  :(

I understand if this prevents you from debugging the issue...
Thanks
Comment 5 Nils Philippsen 2012-06-25 08:52:40 EDT
The odds are high that this issue is with glGetString() as implemented in /lib64/VBoxOGLpackspu.so -- the crash happens in this line from libglew (which should never crash):

  s = glGetString(GL_VERSION);

I'll close this bug, but you might contact virtualbox upstream about this issue.

Note You need to log in before you can comment on or make changes to this bug.